com.taosdata.jdbc.tmq

## Class MapEnhanceDeserializer

- java.lang.Object
- - com.taosdata.jdbc.tmq.MapEnhanceDeserializer

All Implemented Interfaces:
  Deserializer<TMQEnhMap>, Closeable, AutoCloseable

    public class MapEnhanceDeserializer
    extends Object
    implements Deserializer<TMQEnhMap>

### Constructor Summary

Constructors
Constructor and Description
`MapEnhanceDeserializer()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TMQEnhMap` `deserialize(ResultSet data, String topic, String dbName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface com.taosdata.jdbc.tmq.Deserializer

`close, configure`

### Constructor Detail

#### MapEnhanceDeserializer

    public MapEnhanceDeserializer()

### Method Detail

#### deserialize

    public TMQEnhMap deserialize(ResultSet data,
                                 String topic,
                                 String dbName)
                          throws SQLException

Specified by:
  `deserialize` in interface `Deserializer<TMQEnhMap>`
Throws:
  `SQLException`